#!/bin/sh

#The root directory of the Eclipse/RAD installation
if [ -z $ECLIPSE_HOME ]; then
    ECLIPSE_HOME="/opt/IBM/SDP"
    echo "ECLIPSE_HOME is not set, defaulting to: $ECLIPSE_HOME"
fi

#Validates ECLIPSE_HOME
if [ ! -d $ECLIPSE_HOME ]; then
	echo "$ECLIPSE_HOME does not exist. Please set the ECLIPSE_HOME to the eclipse installation directory"
	exit 1
fi

if [ -z $ECLIPSE_PLUGINS_HOME ]; then
    ECLIPSE_PLUGINS_HOME=$ECLIPSE_HOME/plugins
fi

if [ -z $JAVA_HOME ]; then
    export JAVA_HOME="$ECLIPSE_HOME/jdk"
fi

#Validates JAVA_HOME
if [ ! -d $JAVA_HOME ]; then
	echo "$JAVA_HOME does not exist. Please set the JAVA_HOME to the java installation directory"
	exit 1
fi

# get path to equinox jar inside $eclipse_home folder
 cp=$(find $ECLIPSE_PLUGINS_HOME -name "org.eclipse.equinox.launcher_*.jar" | sort | tail -1);

"$JAVA_HOME/bin/java" -Xmx1024m -cp $cp org.eclipse.equinox.launcher.Main -application com.ibm.rational.llc.engine.dynamicAnalysis $*
